Get Project Query Options
curl --request GET \
--url https://api.virtuoussoftware.com/api/Project/QueryOptions \
--header 'Authorization: Bearer <token>'{
"options": [
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
}
],
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
]
}Project Queries
Get Project Query Options
Returns all possible query options for Projects.
GET
/
api
/
Project
/
QueryOptions
Get Project Query Options
curl --request GET \
--url https://api.virtuoussoftware.com/api/Project/QueryOptions \
--header 'Authorization: Bearer <token>'{
"options": [
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
}
],
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
]
}Last modified on April 24, 2026
Was this page helpful?
⌘I